<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:a4j="http://richfaces.org/a4j" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
    <ui:define name="body">
        <h:form id="globalForm">
            <h1>#{messages['gazelle.simulator.pam.PamPatientDemographicConsumer']}</h1>
            <ui:decorate template="/layout/panels/_panel_title.xhtml">
                <ui:define name="panel_title">#{messages['gazelle.simulator.pam.PatientDemographicConsumer']}
                </ui:define>
                <ui:decorate template="/configuration/simulatorResponderConfigurationTemplate.xhtml">
                    <ui:param name="managedBean" value="#{pdcGUIManagerBean}"></ui:param>
                    <ui:param name="diagramPath" value="diag/pdcResponder.png"></ui:param>
                    <ui:define name="other_links">
                        <a4j:commandLink action="#{pdcGUIManagerBean.linkToPatients()}" execute="@this"
                                title="#{messages['gazelle.pam.ListPatients']}">
                            <s:span styleClass="gzl-icon-users "/>
                        </a4j:commandLink>
                        <a4j:commandLink action="/pdc/patientLinks.seam" execute="@this"
                                         title="#{messages['gazelle.pam.ListReceivedLinks']}">
                            <s:span styleClass="gzl-icon-link "/>
                        </a4j:commandLink>
                    </ui:define>
                </ui:decorate>
            </ui:decorate>
        </h:form>
    </ui:define>
</ui:composition>
